package com.yinet.xcqh.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yinet.common.annotation.Excel;

import java.util.Date;

/**
 * 现场取号取号列表对象 yyqh
 *
 * @author yinet
 * @date 2019-09-02
 */
public class Xcqh {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String xcqhId;
    /**
     * 1企业设立 2企业变更注销 3个体
     */
    private String openid;
    /**
     * 1企业设立 2企业变更注销 3个体
     */
    private Long guidanceId;
    /**
     * 申请人姓名
     */
    @Excel(name = "申请人姓名")
    private String applyForName;
    /**
     * 身份证号
     */
    @Excel(name = "身份证号")
    private String idNum;
    /**
     * 手机号
     */
    @Excel(name = "手机号")
    private String phongNum;

    private String serNum;
    private String windowNum;
    private String status;
    /**
     * 记录提交时间
     */
    @Excel(name = "记录提交时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date submitTime;

    private String guidanceName;

    public String getXcqhId() {
        return xcqhId;
    }

    public void setXcqhId(String xcqhId) {
        this.xcqhId = xcqhId;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public Long getGuidanceId() {
        return guidanceId;
    }

    public void setGuidanceId(Long guidanceId) {
        this.guidanceId = guidanceId;
    }

    public String getApplyForName() {
        return applyForName;
    }

    public void setApplyForName(String applyForName) {
        this.applyForName = applyForName;
    }

    public String getIdNum() {
        return idNum;
    }

    public void setIdNum(String idNum) {
        this.idNum = idNum;
    }

    public String getPhongNum() {
        return phongNum;
    }

    public void setPhongNum(String phongNum) {
        this.phongNum = phongNum;
    }

    public String getSerNum() {
        return serNum;
    }

    public void setSerNum(String serNum) {
        this.serNum = serNum;
    }

    public String getWindowNum() {
        return windowNum;
    }

    public void setWindowNum(String windowNum) {
        this.windowNum = windowNum;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(Date submitTime) {
        this.submitTime = submitTime;
    }

    public String getGuidanceName() {
        return guidanceName;
    }

    public void setGuidanceName(String guidanceName) {
        this.guidanceName = guidanceName;
    }
}
